
<cfset errors = structNew() />

<cfif isStruct( form ) >
	<cfparam name="form.username" default="" />
	<cfparam name="form.password" default="" />
	
	<cfset validateUsername( form.username, errors )>
	<cfset validatePassword( form.password, errors )>
	
</cfif>
<cfinclude template="login.cfm">


<cffunction name="validateUsername" output="false" access="private" returntype="void" hint="I check to see if the username is admin">
	<cfargument name="username" type="string" required="true"/>
	<cfargument name="errors" type="struct" required="true"/>
	
	<cfif arguments.username IS NOT "admin">
		<cfset arguments.errors.username = "The username provided does not match any records on file" />
	</cfif>

</cffunction>

<cffunction name="validatePassword" output="false" access="private" returntype="void" hint="I check to see if the Password is coldfusion">
	<cfargument name="password" type="string" required="true"/>
	<cfargument name="errors" type="struct" required="true"/>
	
	<cfif arguments.password IS NOT "coldfusion">
		<cfset arguments.errors.password = "The password provided does not match the username provided" />
	</cfif>

</cffunction>